%define name		rh-jonas-docs
%define version		4.1.2
%define release		3

%define summary		Red Hat JOnAS Documentation

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
BuildArch:      noarch
Group: Applications/Internet

# Source files

Source0: rh-jonas-docs-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# --------------------------------------------------------------------
# Execution dependencies
# --------------------------------------------------------------------

Requires:	jonas = 0:%{version}

# --------------------------------------------------------------------
# End Execution dependencies
# --------------------------------------------------------------------

%description
The %{name} package contains PDF versions of the Red Hat JOnAS documentation.

%prep

# Clean existing builds
rm -rf $RPM_BUILD_DIR/%{name}*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}

# ------------------------------------------
# Install
# ------------------------------------------
%install
(cd $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}; cp %{SOURCE0} .; tar xzf %{SOURCE0}; rm ${SOURCE0})

# ------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------

%files
%defattr(644,root,root,755)
%{_datadir}/doc/jonas-%{version}/*

# ------------------------------

%changelog
* Tue Jul 27 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-3
- New versions of the install guide and tutorial

* Fri Jul 23 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-2
- New version of the install guide

* Thu Jul 22 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-1
- Initial build
